package lift;

public class LiftState {
    private int floor;
    private Direction direction;
    private boolean moving;
    private int load;

    public LiftState(int initialFloor, Direction initialDirection) {
        this.floor = initialFloor;
        this.direction = initialDirection;
        this.moving = true;
        this.load = 0;
    }

    public int getFloor() {
        return floor;
    }

    public void setFloor(int floor) {
        this.floor = floor;
    }

    public Direction getDirection() {
        return direction;
    }

    public void setDirection(Direction direction) {
        this.direction = direction;
    }

    public boolean isMoving() {
        return moving;
    }

    public void setMoving(boolean moving) {
        this.moving = moving;
    }

    public int getLoad() {
        return load;
    }

    public void setLoad(int load) {
        this.load = load;
    }

    public void incLoad() {
        this.load++;
    }

    public void decLoad() {
        this.load--;
    }
}
